Subject: Re: Rename offensive terminology (master)

From: "brian m. carlson" <[email-masked]>
Date: Wed, 10 Jun 2020 22:51:37 +0000

On 2020-06-10 at 21:30:31, Johannes Schindelin wrote:
> Based on the above-mentioned patch series, I have an end-to-end
> proof-of-concept (with one or two monster patches that still need to be
> split up) to change the default branch name to `main`. It is complete in
> the sense that it passes the test suite (also in SHA-256 mode when merging
> the `bk/transition-stage-4` branch), but it has a couple of too-large
> commits that still need to be split up:
> https://github.com/gitgitgadget/git/pull/655

I appreciate you working on these patches and also your consideration
for the SHA-256 work.

> Or maybe there are a couple more natural seams at which to partition
> those patches better, to improve reviewability (and to reduce
> reviewer fatigue).

I think if you can split out the automated portions into their own
patches, then it will be easier to review.  It sounds like you're
already planning on doing that, so I don't have many other suggestions.
I look forward to seeing the patches.

> So let me make my intentions clear: I do care about inclusive language,
> and even more so about inclusive culture, and I would like Git to be
> changed accordingly.

Thank you for saying this.  I agree wholeheartedly, and I feel very
strongly that the words we use matter.

> Tentatively, I would like to propose having this meeting in the coming
> week, via Zoom, just like we did the Virtual Contributor Summit last
> September.
> 
> Could I ask all interested parties to reply to this email?

I'm interested in participating as well.
-- 
brian m. carlson: Houston, Texas, US
OpenPGP: https://keybase.io/bk2204